POSTCreate a classic (V2) LP position
Create a classic (V2) LP position
npx skills add uniswap/uniswap-ai --skill liquidity-plannerPlan LP positions with deep links. Works with Claude Code, Cursor, and other AI coding tools.
Authorization
x-api-keystringrequiredheaderPlayground key
You're using a shared playground keyCreate a free account and get your own API keys from the dashboard.
Get your keysBody
application/jsonwalletAddressstringrequiredslippageTolerancenumberSlippage tolerance as a decimal (e.g., 0.5 for 0.5%).
deadlineintegerTransaction deadline in seconds.
simulateTransactionbooleanIf true, the response will include the gas fee.
urgencyenumNORMALFASTURGENT
The urgency level for gas price estimation. Higher urgency results in higher gas price and faster transaction inclusion. Defaults to URGENT if not provided.
includeApprovalSimulationbooleanIf true, the response will include approval simulation data.
Response
Create classic (V2) position successful.
requestIdstringrequiredA unique ID for the request.
independentTokenobjectrequiredA token with its address and amount, used in LP operations.
dependentTokenobjectrequiredA token with its address and amount, used in LP operations.
createobjectrequiredgasFeestringThe total estimated gas cost of this transaction (eg. gasLimit multiplied by maxFeePerGas) in the base unit of the chain.
POST
/lp/create_classicRequest
curl --request POST \
--url 'https://liquidity.api.uniswap.org/lp/create_classic' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"walletAddress": "<string>",
"poolParameters": "<object>",
"independentToken": "<object>"
}'Response
200
{ "requestId": "<string>", "independentToken": { "tokenAddress": "<string>", "amount": "<string>" }, "dependentToken": { "tokenAddress": "<string>", "amount": "<string>" }, "create": { "to": "<string>", "from": "<string>", "data": "<string>", "value": "<string>", "gasLimit": "<string>", "chainId": "<number>", "maxFeePerGas": "<string>", "maxPriorityFeePerGas": "<string>", "gasPrice": "<string>" }, "gasFee": "<string>"}